Class::Inspector::Functions(3)

NAME
Class::Inspector::Functions - Get information about a class and its structure

VERSION
version 1.34

SYNOPSIS
  use Class::Inspector::Functions;
  # Class::Inspector provides a non-polluting,
  # method based interface!

  # Is a class installed and/or loaded
  installed( 'Foo::Class' );
  loaded( 'Foo::Class' );

  # Filename related information
  filename( 'Foo::Class' );
  resolved_filename( 'Foo::Class' );

  # Get subroutine related information
  functions( 'Foo::Class' );
  function_refs( 'Foo::Class' );
  function_exists( 'Foo::Class', 'bar' );
  methods( 'Foo::Class', 'full', 'public' );

  # Find all loaded subclasses or something
  subclasses( 'Foo::Class' );

DESCRIPTION
Class::Inspector::Functions is a function based interface of Class::Inspector. For a thorough documentation of the available functions, please check the manual for the main module.

  Exports
The following functions are exported by default.

  installed
  loaded
  filename
  functions
  methods
  subclasses

The following functions are exported only by request.

  resolved_filename
  loaded_filename
  function_refs
  function_exists

All the functions may be imported using the ":ALL" tag.

SEE ALSO
<http://ali.as/>, Class::Handle, Class::Inspector

AUTHOR
Original author: Adam Kennedy <adamk@cpan.org>

Current maintainer: Graham Ollis <plicease@cpan.org>

Contributors:

Tom Wyant

Steffen Müller

Kivanc Yazan (KYZN)

COPYRIGHT AND LICENSE
This software is copyright (c) 2002-2019 by Adam Kennedy.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.